<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        * {
            padding: 0;
            margin: 0;
            box-sizing: border-box;
        }

        body {
            height: 100%;
            background-color: #ccc;
        }

        header,
        footer {
            background-color: bisque;
            margin: 4px;
            height: 10%;
            border: 2px solid orange;
            border-radius: 10px;
            padding: 10px;
            font-size: x-large;
        }

        main {
            display: flex;
            height: 80%;
        }

        nav,
        aside {
            padding: 10px;
            flex-basis: 20%;
            background-color: lightblue;
            border: 1px solid salmon;
            border-radius: 10px;
            margin: 4px;
            padding: 10px;
            font-size: x-large;

        }

        article {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            background-color: lightgreen;
            font-size: x-large;
            margin: 4px;
            padding: 15px;
            font-family: Verdana, Geneva, Tahoma, sans-serif;
            border: 2px solid salmon;
            border-radius: 10px;
        }

        article h1 {
            margin-top: 30px;
            flex-grow: 1;
            flex-shrink: 6;
        }

        article img {
            flex-grow: 3;
            flex-shrink: 1;
        }

        article p {
            margin-bottom: 100px;
            flex-grow: 1;
            flex-shrink: 6;
        }

        @media all and (max-width: 640px) {
            main {
                flex-direction: column;
            }

            nav,
            aside {
                width: 100%;
            }

            article {
                order: -1;
            }
        }
    </style>
</head>

<body>
    <header>header</header>
    <main>
        <nav>nav</nav>
        <article>
            <h1>Viva Cantabria</h1>
            <img src="sardi.jpg" alt="">
            <p>Vaya campo mas bonito que tenemos</p>
        </article>
        <aside>aside</aside>
    </main>
    <footer>footer</footer>
</body>

</html>